Bug 102729 - New port: mail/p5-WWW-Hotmail
Summary: New port: mail/p5-WWW-Hotmail
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alejandro Pulver
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-08-31 18:01 UTC by Steven Kreuzer
Modified: 2006-10-05 20:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Kreuzer 2006-08-31 18:01:01 UTC
WWW::Hotmail is a perl module used to connect to Hotmail, download, delete and send messages


# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/mail/p5-WWW-Hotmail
#	/usr/ports/mail/p5-WWW-Hotmail/pkg-descr
#	/usr/ports/mail/p5-WWW-Hotmail/pkg-plist
#	/usr/ports/mail/p5-WWW-Hotmail/distinfo
#	/usr/ports/mail/p5-WWW-Hotmail/Makefile
#
echo c - /usr/ports/mail/p5-WWW-Hotmail
mkdir -p /usr/ports/mail/p5-WWW-Hotmail > /dev/null 2>&1
echo x - /usr/ports/mail/p5-WWW-Hotmail/pkg-descr
sed 's/^X//' >/usr/ports/mail/p5-WWW-Hotmail/pkg-descr << 'END-of-/usr/ports/mail/p5-WWW-Hotmail/pkg-descr'
XWWW::Hotmail - Perl extension for connecting to Hotmail
X
XAuthor: David Davis, <xantus@cpan.org>
XWWW: http://search.cpan.org/dist/WWW-Hotmail/
END-of-/usr/ports/mail/p5-WWW-Hotmail/pkg-descr
echo x - /usr/ports/mail/p5-WWW-Hotmail/pkg-plist
sed 's/^X//' >/usr/ports/mail/p5-WWW-Hotmail/pkg-plist << 'END-of-/usr/ports/mail/p5-WWW-Hotmail/pkg-plist'
X%%SITE_PERL%%/WWW/Hotmail.pm
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW/Hotmail/.packlist
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW/Hotmail
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/WWW
X@dirrmtry %%SITE_PERL%%/WWW
END-of-/usr/ports/mail/p5-WWW-Hotmail/pkg-plist
echo x - /usr/ports/mail/p5-WWW-Hotmail/distinfo
sed 's/^X//' >/usr/ports/mail/p5-WWW-Hotmail/distinfo << 'END-of-/usr/ports/mail/p5-WWW-Hotmail/distinfo'
XMD5 (WWW-Hotmail-0.10.tar.gz) = a609a3924fc4c66b2cd81def90629e7f
XSHA256 (WWW-Hotmail-0.10.tar.gz) = 5b62e009143a6183577635fa919faf8c7cc8a9cca813e62f49f9ea60ae7dd9a6
XSIZE (WWW-Hotmail-0.10.tar.gz) = 6759
END-of-/usr/ports/mail/p5-WWW-Hotmail/distinfo
echo x - /usr/ports/mail/p5-WWW-Hotmail/Makefile
sed 's/^X//' >/usr/ports/mail/p5-WWW-Hotmail/Makefile << 'END-of-/usr/ports/mail/p5-WWW-Hotmail/Makefile'
X# New ports collection makefile for:	p5-WWW-GMail
X# Date created:		2006-07-20
X# Whom:			Steven Kreuzer <skreuzer@f2o.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	WWW-Hotmail
XPORTVERSION=	0.10
XCATEGORIES=	mail perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	WWW
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	skreuzer@f2o.org
XCOMMENT=	This module simplifies access to hotmail
X
XBUILD_DEPENDS=	${SITE_PERL}/WWW/Mechanize.pm:${PORTSDIR}/www/p5-WWW-Mechanize \
X		${SITE_PERL}/Mail/Audit.pm:${PORTSDIR}/mail/p5-Mail-Audit
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XPERL_CONFIGURE=	yes
X
X.include <bsd.port.pre.mk>
X
X.if ${PERL_LEVEL} < 500600
XIGNORE=	requires at least Perl 5.6 due to dependencies.  Please install lang/perl5.8 and try again
X.endif
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/mail/p5-WWW-Hotmail/Makefile
exit
Comment 1 Alejandro Pulver freebsd_committer 2006-10-05 17:47:51 UTC
Responsible Changed
From-To: freebsd-ports-bugs->alepulver

Take PR.
Comment 2 Alejandro Pulver freebsd_committer 2006-10-05 20:32:47 UTC
State Changed
From-To: open->closed

New port added with a few modifications, thanks!
Comment 3 dfilter service freebsd_committer 2006-10-05 20:33:47 UTC
alepulver    2006-10-05 19:33:23 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/p5-WWW-Hotmail  Makefile distinfo pkg-descr pkg-plist 
  Log:
  WWW::Hotmail - Perl extension for connecting to Hotmail
  
  Author: David Davis, <xantus@cpan.org>
  WWW: http://search.cpan.org/dist/WWW-Hotmail/
  
  PR:             ports/102729
  Submitted by:   Steven Kreuzer <skreuzer at f2o.org>
  
  Revision  Changes    Path
  1.798     +1 -0      ports/mail/Makefile
  1.1       +32 -0     ports/mail/p5-WWW-Hotmail/Makefile (new)
  1.1       +3 -0      ports/mail/p5-WWW-Hotmail/distinfo (new)
  1.1       +4 -0      ports/mail/p5-WWW-Hotmail/pkg-descr (new)
  1.1       +5 -0      ports/mail/p5-WWW-Hotmail/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 4 dfilter service freebsd_committer 2006-10-05 20:39:54 UTC
alepulver    2006-10-05 19:39:37 UTC

  FreeBSD doc repository (ports committer)

  Modified files:
    en_US.ISO8859-1/articles/contributors contrib.additional.sgml 
  Log:
  Add Steven Kreuzer for mail/p5-WWW-Hotmail.
  
  PR:             ports/102729
  Submitted by:   Steven Kreuzer <skreuzer@f2o.org>
  
  Revision  Changes    Path
  1.621     +5 -0      doc/en_US.ISO8859-1/articles/contributors/contrib.additional.sgml
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"